OpenapiPoints
Points consumption statistics for the admin statistics page.
Requires the `points.view` permission. Consumption is attributed to the transaction's creation day.
Requires the points.view permission. Consumption is attributed to the
transaction's creation day.
Authorization
bearer_auth AuthorizationBearer <token>
In: header
Query Parameters
days?|
Statistics window in days; only 7 or 30 are accepted. Defaults to 7.
Format
int32Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/points/stats/consumption"{ "buckets": [ { "bucketId": "1980377d-7926-47e0-9e64-a9d0c746404d", "bucketKey": "string", "bucketName": "string", "consumedPoints": 0 } ], "consumingUsers": 0, "consumptionTrend": [ { "consumedPoints": 0, "date": "string" } ], "totalConsumedPoints": 0, "windowDays": 0}{ "code": "string", "details": null, "message": "string", "requestId": "string", "status": 0}{ "code": "string", "details": null, "message": "string", "requestId": "string", "status": 0}{ "code": "string", "details": null, "message": "string", "requestId": "string", "status": 0}{ "code": "string", "details": null, "message": "string", "requestId": "string", "status": 0}